Issue 106822 - Add Yoruba to language list
Add Yoruba to language list
Status: VERIFIED FIXED
Product: Internationalization
Classification: Code
Component: i18npool
OOo 3.0
All All
: P3 Trivial (vote)
: ---
Assigned To: stefan.baltzer
issues@l10n
http://www.alt-i.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-11 15:13 UTC by alt_i
Modified: 2013-08-07 15:02 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description alt_i 2009-11-11 15:13:38 UTC
We have prepared oxt package which contains an affix file and dictionary file
for hunspell spelling checker. we want to upload the oxt packacge and register
locale  for the Yoruba spelling checker.
Comment 1 caolanm 2010-03-18 11:40:03 UTC
See http://wiki.services.openoffice.org/wiki/How_to_submit_new_Locale_Data
and http://wiki.services.openoffice.org/wiki/Adding_a_new_language_or_locale

a) You need to gather the information needed there to get Yoroba (yo_NG) added
to OOo as a properly supported language for spell-checking etc.

b) You can upload your spellchecker dictionary at
http://extensions.services.openoffice.org/ if you register there as a developer
and create a project for your dictionary extension.
Comment 2 erack 2010-03-19 01:03:24 UTC
Note that we already have
#define LANGUAGE_YORUBA 0x046A
and a mapping to yo-NG

The only thing missing to support a spell checker is an entry in the language
list box to be able to attribute text with that language. Locale data would only
be needed for a complete support as lined out in the wiki.

Unfortunately you assigned this issue to yourself so it skipped attention and my
CWS with new locales for OOo3.3 just passed QA and is nominated waiting for
integration.. maybe I'll get this in somewhere, but no promise.

For extension dictionaries see also
http://wiki.services.openoffice.org/wiki/Extension_Dictionaries
Comment 3 erack 2010-05-03 23:21:33 UTC
In cws locales33a:

changeset af4e9868f79e
http://hg.services.openoffice.org/cws/locales33a/changeset/af4e9868f79e
M svtools/source/misc/langtab.src

You can observe the progress and possible integration date of CWS locales33a at
http://tools.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Flocales33a
Comment 4 ooo 2010-06-11 12:34:20 UTC
Reassigning to QA for verification.
Comment 5 stefan.baltzer 2010-06-11 17:30:12 UTC
Verified in CWS locales33a. Yoruba 
Notes: 
 - It can not be set as document default language for documents.
 - There is no dictionary extension available yet.
Comment 6 stefan.baltzer 2010-06-11 17:36:15 UTC
Sorry, incomplete comment....
Yoruba can be set in documents now: In Writer, Format - Character - On tab
"Font",  see in List box "language".